aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-09-03 14:04:51 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-09-22 08:56:45 +0000
commit1bf68240087c45f12ba2fc19c1f1981eaf214323 (patch)
treeaaa61eb0b4455e90f76de52ac61ed9dac1a71692
parente6874f53baa0daefc1b331aec2dcdd485753f728 (diff)
downloadaports-1bf68240087c45f12ba2fc19c1f1981eaf214323.tar.bz2
aports-1bf68240087c45f12ba2fc19c1f1981eaf214323.tar.xz
main/icu: fix building with ccache/distcc and bump so we get new version
(cherry picked from commit c240bcc69839d096a399fa3530d44a457ca75f67)
-rw-r--r--main/icu/APKBUILD28
-rw-r--r--main/icu/icu-ccache.patch11
2 files changed, 36 insertions, 3 deletions
diff --git a/main/icu/APKBUILD b/main/icu/APKBUILD
index a2764b8775..8aae187347 100644
--- a/main/icu/APKBUILD
+++ b/main/icu/APKBUILD
@@ -2,17 +2,38 @@
pkgname=icu
pkgver=4.4.1
_ver=4_4_1
-pkgrel=2
+pkgrel=3
pkgdesc="International Components for Unicode library"
url="http://www.icu-project.org/"
license="custom:icu"
subpackages="$pkgname-dev $pkgname-doc"
depends=
makedepends=
-source="http://download.icu-project.org/files/icu4c/${pkgver}/${pkgname}4c-$_ver-src.tgz"
+source="http://download.icu-project.org/files/icu4c/${pkgver}/${pkgname}4c-$_ver-src.tgz
+ icu-ccache.patch
+ "
_builddir="$srcdir"/icu/source
+prepare() {
+ cd "$_builddir"
+ local x
+ # https://bugs.icu-project.org/trac/ticket/6102
+ for x in ARFLAGS CFLAGS CPPFLAGS CXXFLAGS FFLAGS LDFLAGS; do
+ sed -i -e "/^${x} =.*/s:@${x}@::" "config/Makefile.inc.in" \
+ || return 1
+ done
+
+ for i in $source; do
+ case "$i" in
+ *.patch)
+ msg "Applying $i"
+ patch -p1 -i "$srcdir"/$i || return 1
+ ;;
+ esac
+ done
+}
+
build() {
cd "$_builddir"
./configure --prefix=/usr \
@@ -28,4 +49,5 @@ package() {
install -Dm644 "$srcdir"/icu/license.html \
"$pkgdir"/usr/share/licenses/icu/license.html
}
-md5sums="b6bc0a1153540b2088f8b03e0ba625d3 icu4c-4_4_1-src.tgz"
+md5sums="b6bc0a1153540b2088f8b03e0ba625d3 icu4c-4_4_1-src.tgz
+e729eb08687b042e40df572932cbf9ce icu-ccache.patch"
diff --git a/main/icu/icu-ccache.patch b/main/icu/icu-ccache.patch
new file mode 100644
index 0000000000..214b9093c6
--- /dev/null
+++ b/main/icu/icu-ccache.patch
@@ -0,0 +1,11 @@
+--- ./tools/icuinfo/Makefile.in.orig
++++ ./tools/icuinfo/Makefile.in
+@@ -36,7 +36,7 @@
+
+ ICUINFO_OPTS=-i ../../data/out/build/$(ICUDATA_PLATFORM_NAME)
+
+-CPPFLAGS+= -DU_PLATFORM=\"@platform@\" -DU_BUILD=\"@build@\" -DU_HOST=\"@host@\" -DU_CC=\"@CC@\" -DU_CXX=\"@CXX@\"
++CPPFLAGS+= -DU_PLATFORM=\"@platform@\" -DU_BUILD=\"@build@\" -DU_HOST=\"@host@\" '-DU_CC="@CC@"' '-DU_CXX="@CXX@"'
+ # -DENABLE_RELEASE=@ENABLE_RELEASE@ -DENABLE_DEBUG=@ENABLE_DEBUG@ "
+
+